Subject: [Mip6] [New I-D] DNA with unmodified routers (CPL)

From: JinHyeock Choi <[email-masked]>
Date: Fri, 22 Apr 2005 02:11:16 -0700 (PDT)

Dear MIP6 Group
 
A new WG I-D is announced in DNA WG. 
 
DNA with unmodified routers: Prefix list based approach
draft-ietf-dna-cpl-00.txt
 
The current MD (Movement Detection) scheme for MIPv6 is less than 
optimal. When a host moves to an another subnet, if it uses NUD, it 
would take roughly 3 secs to detect a change. Moreover, link-local scope 
of router addresses may cause the host to make a wrong decision.   
 
This draft describes a fast & robust DNA/MD scheme without a standard 
change, which can be adopted to existing MIPv6 code right now. 
 
Upon establishing a new link-layer connection, a host checks for link change, 
i.e. determines whether it still remains at the same link or not. 
 
Currently there is one thing which can represent the identify of a link,
 
   'The set of all the global and valid prefixes assigned to a link.'
 
We propose that, at each attached link, the host generates the Complete 
Prefix List, that is, the prefix list contains all the prefixes on the link, 
and when it receives a hint of a a possible link change, (usually link UP
notification from link-layer), it detects the identity of the currently attached
link by consulting the existing prefix list.  
 
We describe how to generate the Complete Prefix List and to robustly check 
for link change even in the presence of packet losses. 
 
A URL for this Internet-Draft is:
 
http://www.ietf.org/internet-drafts/draft-ietf-dna-cpl-00.txt
 
We are looking forward to your feedback, especially from the people who 
actually implement MIPv6 stack. 
 
Thanks in advance for your kind consideration. 
 
Best Regards
 
JinHyeock Choi and Erik Nordmark 
(Authors)

__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com 

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6